[Date Prev][Date Next] [Chronological] [Thread] [Top]

Attribute supportedFeatures obligated in version 2.0.23

Hi Everybody, 
I would appreciate any help from you .

I have installed version 2.0.23 of OpenLdap.
I had other Ldap server and i passed the
configuration files :

to the directory : /usr/local/etc/openldap

and the schema files (these are inlcuded in my slapd.conf)
include         /usr/local/etc/openldap/schema/core.schema
include         /usr/local/etc/openldap/schema/cosine.schema
include         /usr/local/etc/openldap/schema/inetorgperson.schema
include         /usr/local/etc/openldap/schema/nis.schema
include         /usr/local/etc/openldap/schema/qmail.schema
include         /usr/local/etc/openldap/schema/comcel.schema

but, when i start Ldap Service :  /usr/local/libexec/slapd
i got the error : 
No attribute "supportedFeatures" defined in schema 

I understand that this attribute is defined by the default installation,
but in my schema files ,  i don't define this attribute.  

In the old server I have installed 2.0.7 version of OpenLdap,

Do i have to define this attribute in the 2.0.23  version ?

I found an email in a discussion thread with the same problem,
the person fixed the problem updating the core.schema, but
he didn't  write how to update the core.schema,  
Does anyone can tell me how to update the core.schema ?

thanks in advance